Skip to main content
GET
/
v1
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DexPool - Liquidity Snapshots
curl --request GET \
  --url https://api.chainstream.io/v1/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tvlInUsd": "1000000.45",
      "tvlInNative": "5000.123",
      "tokenA": {
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "decimals": 6,
        "vaultAmount": "1000000000000",
        "amountInUsd": "1000000.45",
        "amountInNative": "5000.123",
        "priceUsd": "1.0001",
        "priceNative": "0.005"
      },
      "tokenB": {
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "decimals": 6,
        "vaultAmount": "1000000000000",
        "amountInUsd": "1000000.45",
        "amountInNative": "5000.123",
        "priceUsd": "1.0001",
        "priceNative": "0.005"
      },
      "blockHeight": 123456789,
      "blockTimestamp": 1705312800000,
      "blockSlot": 123456789
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
poolAddress
string
required

A pool address

Example:

"58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2"

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

Required range: 1 <= x <= 100
direction
enum<string>
default:next

Pagination direction (next or prev)

Available options:
next,
prev
time
integer<int64>

Target Unix timestamp (seconds) for snapshot query. Returns the nearest snapshot before or at this time.

Example:

1705312800000

Response

200 - application/json
data
object[]
required

Array of data items

hasNext
boolean
default:false
required

Indicates if there are more results

hasPrev
boolean
default:false
required

Indicates if there are previous results

startCursor
string

Cursor for first item in current page

endCursor
string

Cursor for last item in current page